@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      http://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  application startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and APPLICATION_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-server" "-XX:+UseNUMA" "-XX:+UseG1GC" "-Duser.timezone=America/Sao_Paulo" "-Dlogback.configurationFile=logback-production.xml"

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\application-1.0.0.jar;%APP_HOME%\lib\cache-1.0.0.jar;%APP_HOME%\lib\web-1.0.0.jar;%APP_HOME%\lib\events-1.0.0.jar;%APP_HOME%\lib\aws-1.0.0.jar;%APP_HOME%\lib\gcp-1.0.0.jar;%APP_HOME%\lib\development-1.0.0.jar;%APP_HOME%\lib\usecases-1.0.0.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.3.70.jar;%APP_HOME%\lib\events-server-2.10.0.jar;%APP_HOME%\lib\events-client-2.10.0.jar;%APP_HOME%\lib\events-core-2.10.0.jar;%APP_HOME%\lib\tracing-2.10.0.jar;%APP_HOME%\lib\jackson-module-kotlin-2.10.3.jar;%APP_HOME%\lib\kotlin-reflect-1.3.72.jar;%APP_HOME%\lib\spring-context-5.1.9.RELEASE.jar;%APP_HOME%\lib\logback-classic-1.2.3.jar;%APP_HOME%\lib\dd-trace-ot-0.49.0.jar;%APP_HOME%\lib\opentracing-util-0.32.0.jar;%APP_HOME%\lib\opentracing-noop-0.32.0.jar;%APP_HOME%\lib\opentracing-tracerresolver-0.1.0.jar;%APP_HOME%\lib\opentracing-api-0.32.0.jar;%APP_HOME%\lib\dd-trace-api-0.49.0.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.3.70.jar;%APP_HOME%\lib\fuel-2.2.1.jar;%APP_HOME%\lib\result-2.2.0.jar;%APP_HOME%\lib\kotlin-stdlib-1.3.72.jar;%APP_HOME%\lib\spring-aop-5.1.9.RELEASE.jar;%APP_HOME%\lib\spring-beans-5.1.9.RELEASE.jar;%APP_HOME%\lib\spring-expression-5.1.9.RELEASE.jar;%APP_HOME%\lib\spring-core-5.1.9.RELEASE.jar;%APP_HOME%\lib\logback-core-1.2.3.jar;%APP_HOME%\lib\redisson-3.13.0.jar;%APP_HOME%\lib\pippo-controller-1.13.1.jar;%APP_HOME%\lib\pippo-jetty-1.13.1.jar;%APP_HOME%\lib\pippo-gson-1.13.1.jar;%APP_HOME%\lib\pippo-core-1.13.1.jar;%APP_HOME%\lib\slf4j-api-1.7.30.jar;%APP_HOME%\lib\google-cloud-storage-1.108.0.jar;%APP_HOME%\lib\google-cloud-datastore-1.102.4.jar;%APP_HOME%\lib\google-cloud-core-http-1.93.4.jar;%APP_HOME%\lib\google-cloud-core-1.93.4.jar;%APP_HOME%\lib\google-cloud-kms-1.38.1.jar;%APP_HOME%\lib\gax-grpc-1.56.0.jar;%APP_HOME%\lib\grpc-alts-1.28.1.jar;%APP_HOME%\lib\grpc-grpclb-1.28.1.jar;%APP_HOME%\lib\protobuf-java-util-3.11.4.jar;%APP_HOME%\lib\gax-httpjson-0.73.0.jar;%APP_HOME%\lib\grpc-netty-shaded-1.28.1.jar;%APP_HOME%\lib\grpc-core-1.28.1.jar;%APP_HOME%\lib\gson-2.8.6.jar;%APP_HOME%\lib\auto-service-1.0-rc3.jar;%APP_HOME%\lib\auto-common-0.8.jar;%APP_HOME%\lib\google-api-services-storage-v1-rev20200326-1.30.9.jar;%APP_HOME%\lib\datastore-v1-proto-client-1.6.3.jar;%APP_HOME%\lib\google-api-client-1.30.9.jar;%APP_HOME%\lib\gax-1.56.0.jar;%APP_HOME%\lib\google-auth-library-oauth2-http-0.20.0.jar;%APP_HOME%\lib\google-http-client-jackson2-1.35.0.jar;%APP_HOME%\lib\google-oauth-client-1.30.6.jar;%APP_HOME%\lib\google-http-client-appengine-1.34.2.jar;%APP_HOME%\lib\google-http-client-protobuf-1.33.0.jar;%APP_HOME%\lib\google-http-client-1.35.0.jar;%APP_HOME%\lib\proto-google-iam-v1-0.13.0.jar;%APP_HOME%\lib\proto-google-cloud-kms-v1-0.85.1.jar;%APP_HOME%\lib\api-common-1.9.0.jar;%APP_HOME%\lib\grpc-stub-1.28.1.jar;%APP_HOME%\lib\grpc-protobuf-1.28.1.jar;%APP_HOME%\lib\grpc-auth-1.28.1.jar;%APP_HOME%\lib\grpc-protobuf-lite-1.28.1.jar;%APP_HOME%\lib\grpc-api-1.28.1.jar;%APP_HOME%\lib\opencensus-contrib-http-util-0.24.0.jar;%APP_HOME%\lib\guava-29.0-android.jar;%APP_HOME%\lib\java-dogstatsd-client-2.9.0.jar;%APP_HOME%\lib\okhttp-3.12.10.jar;%APP_HOME%\lib\msgpack-core-0.8.20.jar;%APP_HOME%\lib\moshi-1.9.2.jar;%APP_HOME%\lib\jnr-unixsocket-0.28.jar;%APP_HOME%\lib\disruptor-3.4.2.jar;%APP_HOME%\lib\fst-2.57.jar;%APP_HOME%\lib\java-jwt-3.10.3.jar;%APP_HOME%\lib\aws-java-sdk-dynamodb-1.11.792.jar;%APP_HOME%\lib\aws-java-sdk-s3-1.11.792.jar;%APP_HOME%\lib\aws-java-sdk-kms-1.11.792.jar;%APP_HOME%\lib\aws-java-sdk-core-1.11.792.jar;%APP_HOME%\lib\jmespath-java-1.11.792.jar;%APP_HOME%\lib\jackson-databind-2.10.3.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.10.3.jar;%APP_HOME%\lib\aws-encryption-sdk-java-1.6.2.jar;%APP_HOME%\lib\spring-jcl-5.1.9.RELEASE.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.3.72.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\okio-1.16.0.jar;%APP_HOME%\lib\jnr-enxio-0.25.jar;%APP_HOME%\lib\jnr-posix-3.0.54.jar;%APP_HOME%\lib\jnr-ffi-2.1.12.jar;%APP_HOME%\lib\jnr-constants-0.9.15.jar;%APP_HOME%\lib\netty-resolver-dns-4.1.49.Final.jar;%APP_HOME%\lib\netty-handler-4.1.49.Final.jar;%APP_HOME%\lib\netty-codec-dns-4.1.49.Final.jar;%APP_HOME%\lib\netty-codec-4.1.49.Final.jar;%APP_HOME%\lib\netty-transport-4.1.49.Final.jar;%APP_HOME%\lib\netty-buffer-4.1.49.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.49.Final.jar;%APP_HOME%\lib\netty-common-4.1.49.Final.jar;%APP_HOME%\lib\cache-api-1.0.0.jar;%APP_HOME%\lib\reactor-core-3.3.4.RELEASE.jar;%APP_HOME%\lib\rxjava-2.2.19.jar;%APP_HOME%\lib\jboss-marshalling-river-2.0.9.Final.jar;%APP_HOME%\lib\snakeyaml-1.26.jar;%APP_HOME%\lib\jackson-dataformat-cbor-2.6.7.jar;%APP_HOME%\lib\jackson-core-2.11.0.jar;%APP_HOME%\lib\byte-buddy-1.10.7.jar;%APP_HOME%\lib\jodd-bean-5.0.13.jar;%APP_HOME%\lib\javassist-3.21.0-GA.jar;%APP_HOME%\lib\objenesis-2.5.1.jar;%APP_HOME%\lib\jackson-annotations-2.10.3.jar;%APP_HOME%\lib\httpclient-4.5.12.jar;%APP_HOME%\lib\commons-codec-1.14.jar;%APP_HOME%\lib\websocket-server-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-annotations-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-plus-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-webapp-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-servlet-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-security-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-server-9.4.24.v20191120.jar;%APP_HOME%\lib\bcprov-ext-jdk15on-1.65.jar;%APP_HOME%\lib\commons-lang3-3.9.jar;%APP_HOME%\lib\google-auth-library-credentials-0.20.0.jar;%APP_HOME%\lib\opencensus-api-0.24.0.jar;%APP_HOME%\lib\proto-google-cloud-datastore-v1-0.85.4.jar;%APP_HOME%\lib\proto-google-common-protos-1.17.0.jar;%APP_HOME%\lib\protobuf-java-3.11.4.jar;%APP_HOME%\lib\threetenbp-1.4.4.jar;%APP_HOME%\lib\jffi-1.2.23.jar;%APP_HOME%\lib\jffi-1.2.23-native.jar;%APP_HOME%\lib\asm-util-7.1.jar;%APP_HOME%\lib\asm-commons-7.2.jar;%APP_HOME%\lib\asm-analysis-7.2.jar;%APP_HOME%\lib\asm-tree-7.2.jar;%APP_HOME%\lib\asm-7.2.jar;%APP_HOME%\lib\jnr-a64asm-1.0.0.jar;%APP_HOME%\lib\jnr-x86asm-1.0.2.jar;%APP_HOME%\lib\reactive-streams-1.0.3.jar;%APP_HOME%\lib\jboss-marshalling-2.0.9.Final.jar;%APP_HOME%\lib\jodd-core-5.0.13.jar;%APP_HOME%\lib\websocket-servlet-9.4.24.v20191120.jar;%APP_HOME%\lib\javax.servlet-api-3.1.0.jar;%APP_HOME%\lib\websocket-client-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-client-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-http-9.4.24.v20191120.jar;%APP_HOME%\lib\websocket-common-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-io-9.4.24.v20191120.jar;%APP_HOME%\lib\javax.annotation-api-1.3.2.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\ion-java-1.0.2.jar;%APP_HOME%\lib\joda-time-2.8.1.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\perfmark-api-0.19.0.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\checker-compat-qual-2.5.5.jar;%APP_HOME%\lib\error_prone_annotations-2.3.4.jar;%APP_HOME%\lib\j2objc-annotations-1.3.jar;%APP_HOME%\lib\httpcore-4.4.13.jar;%APP_HOME%\lib\auto-value-annotations-1.7.jar;%APP_HOME%\lib\grpc-context-1.28.1.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.18.jar;%APP_HOME%\lib\jetty-jndi-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-xml-9.4.24.v20191120.jar;%APP_HOME%\lib\jetty-util-9.4.24.v20191120.jar;%APP_HOME%\lib\websocket-api-9.4.24.v20191120.jar;%APP_HOME%\lib\conscrypt-openjdk-uber-2.2.1.jar;%APP_HOME%\lib\annotations-4.1.1.4.jar

@rem Execute application
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %APPLICATION_OPTS%  -classpath "%CLASSPATH%" br.com.guiabolso.connector.Boot %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable APPLICATION_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%APPLICATION_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
